Bug 11296 - ошибка перекодирования DN из local charset в UTF8 при записи
: ошибка перекодирования DN из local charset в UTF8 при записи
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/gq)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-01 00:25 by
Modified: 2011-01-22 22:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-01 00:25:38
если DN содержит русские буквы, то при сохранении изменений (создании новой
записи) они преобразуются в абра-кадабру, например, при сохраниенении записи
cn=тест,dc=example,dc=org получается:

cn=тест,dc=example,dc=org

PS: в системе используется локаль CP1251.
Steps to Reproduce:
1. создать запись содержащую в DN русские буквы.
------- Comment #1 From 2007-04-01 00:32:21 -------
(In reply to comment #0)

> cn=тест,dc=example,dc=org

мда, немножечко видоизменилось после поста :)
выглядит это как будто просматривается в кодировке CP1251 текст подготовленный в
кодировке UTF8.

PS: прошу прощения за опечатки
------- Comment #2 From 2008-03-13 23:42:05 -------
gq-1.0.1-alt2, сиятемная локаль UTF-8 -- не воспроизводится.
------- Comment #3 From 2008-03-14 09:49:52 -------
Я использую ту же версию gq. Да, проблема вопспроизводится только если
системная
локаль не UTF8. Для нормальной работы я запускаю его так: LANG=ru_RU.utf8 gq.

Попробуйте запустить так: LANG=ru_RU.cp1251 gq
------- Comment #4 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #5 From 2011-01-22 22:27:15 -------
WONTFIX в связи с тотальным переходом на UTF-8.